Package io.github.jdbcx.extension

# Class WebDriverExtension

java.lang.Object
io.github.jdbcx.extension.WebDriverExtension

All Implemented Interfaces:
  `DriverExtension`, `Comparable<DriverExtension>`

public class WebDriverExtension extends Object implements DriverExtension

## Field Summary

### Fields inherited from interface io.github.jdbcx.DriverExtension

`DEFAULT_JDBC_TABLE_TYPE, JDBC_TABLE_FIELDS, PROPERTY_BRIDGE_TOKEN, PROPERTY_BRIDGE_URL, PROPERTY_PATH, PROPERTY_PRODUCT, PROPERTY_USER`

## Constructor Summary

Constructors
Constructor
Description
`WebDriverExtension()`

## Method Summary

Modifier and Type
Method
Description
`JdbcActivityListener`
`createListener(QueryContext context, Connection conn, Properties props)`
Creates a connection listener.
`List<String>`
`getAliases()`
`List<Option>`
`getDefaultOptions()`
Gets the default configuration options supported by this extension.
`String`
`getDescription()`
`String`
`getUsage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.DriverExtension

`compareTo, getConfig, getConnection, getDefaultConfig, getName, getOptions, getSchemas, getTables, requiresBridgeContext, supportsDirectQuery, supportsInspection, supportsNoArguments`

## Constructor Details

### WebDriverExtension

public WebDriverExtension()

## Method Details

### getAliases

public List<String> getAliases()

Specified by:
  `getAliases` in interface `DriverExtension`

### getDefaultOptions

public List<Option> getDefaultOptions()
Description copied from interface: `DriverExtension`
Gets the default configuration options supported by this extension.

Specified by:
  `getDefaultOptions` in interface `DriverExtension`
Returns:
  non-null default options

### createListener

public JdbcActivityListener createListener(QueryContext context, Connection conn, Properties props)
Description copied from interface: `DriverExtension`
Creates a connection listener.

Specified by:
  `createListener` in interface `DriverExtension`
Parameters:
  `context` - query context
  `conn` - connection to listen
  `props` - connection properties, usually tailored for this extension
Returns:
  non-null connection listener

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `DriverExtension`

### getUsage

public String getUsage()

Specified by:
  `getUsage` in interface `DriverExtension`